summaryrefslogtreecommitdiff
path: root/Meta/Lagom
diff options
context:
space:
mode:
authorLinus Groh <mail@linusgroh.de>2020-04-20 20:18:42 +0100
committerAndreas Kling <kling@serenityos.org>2020-04-20 22:44:13 +0200
commit660fd040632b650acc6366e11eff24799324e4b5 (patch)
treece1fd136fd94f678761ef262c1d144df89fefaa7 /Meta/Lagom
parent9722cac9fefb6d21d53a7f4cd0b221cb5b69bde6 (diff)
downloadserenity-660fd040632b650acc6366e11eff24799324e4b5.zip
Meta: Build Lagom js and run LibJS tests on Travis
Diffstat (limited to 'Meta/Lagom')
-rwxr-xr-xMeta/Lagom/build-js.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/Meta/Lagom/build-js.sh b/Meta/Lagom/build-js.sh
new file mode 100755
index 0000000000..10827428f3
--- /dev/null
+++ b/Meta/Lagom/build-js.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+
+script_path=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
+cd "$script_path" || exit 1
+mkdir -p build
+cd build || exit 1
+cmake ..
+make js